> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/queries/outstanding-invoices.md).

# outstandingInvoices

### Arguments

| Argument                                                                                                       | Description                                                                                                  |
| -------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| invoicedSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                    | Filter invoices to those that where invoiced since the given datetime.                                       |
| invoicedUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                    | Filter invoices to those that where invoiced until the given datetime.                                       |
| updatedSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                     | Filter invoices to those that where updated since the given datetime.                                        |
| updatedUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                     | Filter invoices to those that where updated until the given datetime.                                        |
| subscriptionSignupCompletedSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)) | Filter invoices to those whose subscription completed signup since a certain time.                           |
| subscriptionSignupCompletedUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)) | Filter invoices to those whose subscription completed signup until a certain time.                           |
| subscriptionId ([ID](/graphql-api/api-reference/objects/id.md))                                                | Only list invoices that match the passed in subscription ID.                                                 |
| subscriptionStatuses (\[[SubscriptionStatus](/graphql-api/api-reference/objects/subscription-status.md)!])     | Filter invoices on subscription status(es).                                                                  |
| paymentTypes (\[[PaymentTypeEnum](/graphql-api/api-reference/objects/payment-type-enum.md)!])                  | Only list invoices with selected payment type. Lists all payment types if none given.                        |
| statuses (\[[InvoiceStatusEnum](/graphql-api/api-reference/objects/invoice-status-enum.md)!])                  | Filter invoices on given status. Lists all invoices if none given.                                           |
| excludePending ([Boolean](/graphql-api/api-reference/objects/boolean.md))                                      | Exclude invoices that have payment status PENDING. Useful for treating payments underway as not-outstanding. |
| excludeDebtCollectionCases ([Boolean](/graphql-api/api-reference/objects/boolean.md))                          | Exclude invoices that have a debt collection case                                                            |
| excludeUncollectible ([Boolean](/graphql-api/api-reference/objects/boolean.md))                                | Exclude invoices that have status UNCOLLECTIBLE                                                              |
| after ([String](/graphql-api/api-reference/objects/string.md))                                                 | Returns the elements in the list that come after the specified cursor.                                       |
| before ([String](/graphql-api/api-reference/objects/string.md))                                                | Returns the elements in the list that come before the specified cursor.                                      |
| first ([Int](/graphql-api/api-reference/objects/int.md))                                                       | Returns the first *n* elements from the list.                                                                |
| last ([Int](/graphql-api/api-reference/objects/int.md))                                                        | Returns the last *n* elements from the list.                                                                 |

### Return fields

#### edges (\[[InvoiceEdge](/graphql-api/api-reference/objects/invoice-edge.md)])

A list of edges.

#### nodes (\[[Invoice](/graphql-api/api-reference/objects/invoice.md)])

A list of nodes.

#### pageInfo ([PageInfo](/graphql-api/api-reference/objects/page-info.md)!)

Information to aid in pagination.

#### revenueExcludingTaxTotalCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total invoice revenue excluding tax in cents.

#### revenueIncludingTaxTotalCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total invoice revenue including tax in cents.

#### revenueTotalsPerCategory (\[[InvoiceCategoryRevenueSummary](/graphql-api/api-reference/objects/invoice-category-revenue-summary.md)!]!)

Invoice revenue totals grouped by invoice line item category.

#### revenueTotalsPerProduct (\[[InvoiceProductRevenueSummary](/graphql-api/api-reference/objects/invoice-product-revenue-summary.md)!]!)

Invoice revenue totals grouped by product.

| Argument                                                        | Description                                            |
| --------------------------------------------------------------- | ------------------------------------------------------ |
| productIds (\[[ID](/graphql-api/api-reference/objects/id.md)!]) | Only include invoice line items for these product IDs. |

#### totalCount ([Int](/graphql-api/api-reference/objects/int.md))

The total number of items available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/outstanding-invoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
